Skip to main content
PUT
/
snapshots
/
{id}
Update Snapshot by ID
curl --request PUT \
  --url https://mycluster.domino.tech/snapshots/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>"
}
'
{
  "createdAt": "<string>",
  "createdBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "id": "<string>",
  "updatedAt": "<string>",
  "updatedBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "version": 123,
  "volumeId": "<string>",
  "description": "<string>",
  "labels": {},
  "lastMountedTime": "<string>",
  "runId": "<string>",
  "tags": [
    {
      "addedAt": "<string>",
      "addedBy": {
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "userName": "<string>"
      },
      "name": "<string>"
    }
  ]
}

Path Parameters

id
string
required

ID of Snapshot to update

Body

application/json

Snapshot to update

description
string
required

Response

OK

createdAt
string
required
createdBy
object
required
id
string
required
status
enum<string>
required
Available options:
Active,
MarkedForDeletion,
Deleted
updatedAt
string
required
updatedBy
object
required
version
integer
required

Links to ONTAP snapshot name

volumeId
string
required
description
string
labels
object

System-specified, e.g. for Flows artifacts

lastMountedTime
string
runId
string

Optional field denoting resource associated with a run

tags
object[]

User-specified, used for mount path resolution and is derived from SnapshotTags